import { jsxs as s, jsx as n } from "react/jsx-runtime";
/* empty css                              */
import "react";
import { Icon as l } from "./index-Icon.js";
import { Text as m, TextTypes as d } from "./index-Text.js";
const T = (r) => {
  const {
    width: e = 100,
    label: c,
    iconLeft: f,
    iconRight: p,
    cb: t
  } = r, i = (o) => {
    if (o)
      return n(l, {
        children: o
      });
  };
  return s("div", {
    style: {
      width: `${e}%`
    },
    onClick: () => {
      t && typeof t == "function" && t();
    },
    className: "notif-action",
    children: [i(f), n(m, {
      type: d.textHelp,
      children: c
    }), i(p)]
  });
};
export {
  T as NotificationAction
};
